@import url("root.css");

#form-wrapper {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

form {
  width: 90%;
}
form #form-title {
  margin-top: 0;
  font-weight: 400;
  text-align: center;
}
form #debt-amount-slider {
  display: flex;
  flex-direction: row;
  align-content: stretch;
  position: relative;
  width: 100%;
  height: 50px;
  user-select: none;
}
form #debt-amount-slider::before {
  content: " ";
  position: absolute;
  height: 2px;
  width: 100%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  background: var(--primary);
}
form #debt-amount-slider input, form #debt-amount-slider label {
  box-sizing: border-box;
  flex: 1;
  user-select: none;
  cursor: pointer;
}
form #debt-amount-slider label {
  display: inline-block;
  position: relative;
  width: 20%;
  height: 100%;
  user-select: none;
  color: var(--primary);
}
form #debt-amount-slider label::before {
  content: attr(data-debt-amount);
  position: absolute;
  left: 50%;
  padding-top: 10px;
  transform: translate(-50%, 45px);
  font-size: 18px;
  letter-spacing: 0.4px;
  font-weight: 400;
  white-space: nowrap;
  opacity: 0.85;
  transition: all 0.15s ease-in-out;
}
form #debt-amount-slider label::after {
  content: " ";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 30px;
  height: 30px;
  border: 2px solid var(--primary);
  background: var(--primary);
  border-radius: 50%;
  pointer-events: none;
  user-select: none;
  z-index: 1;
  cursor: pointer;
  transition: all 0.15s ease-in-out;
}
form #debt-amount-slider label:hover::after {
  transform: translate(-50%, -50%) scale(1.25);
}
form #debt-amount-slider input {
  display: none;
}
form #debt-amount-slider input:checked + label::before {
  font-weight: 800;
  opacity: 1;
  color: var(--light-gold);
}
form #debt-amount-slider input:checked + label::after {
  border-width: 4px;
  transform: translate(-50%, -50%) scale(0.75);
  border-color: var(--light-gold);
  background-color: var(--light-gold);
}
form #debt-amount-slider input:checked ~ #debt-amount-pos {
  opacity: 1;
}
form #debt-amount-slider input:checked:nth-child(1) ~ #debt-amount-pos {
  left: 0%;
}
form #debt-amount-slider input:checked:nth-child(3) ~ #debt-amount-pos {
  left: 20%;
}
form #debt-amount-slider input:checked:nth-child(5) ~ #debt-amount-pos {
  left: 40%;
}
form #debt-amount-slider input:checked:nth-child(7) ~ #debt-amount-pos {
  left: 60%;
}
form #debt-amount-slider input:checked:nth-child(9) ~ #debt-amount-pos {
  left: 80%;
}
form #debt-amount-slider input:checked:nth-child(11) ~ #debt-amount-pos {
  left: 100%;
}
form #debt-amount-slider input:checked:nth-child(13) ~ #debt-amount-pos {
  left: 120%;
}
form #debt-amount-slider input:checked:nth-child(15) ~ #debt-amount-pos {
  left: 140%;
}
form #debt-amount-slider input:checked:nth-child(17) ~ #debt-amount-pos {
  left: 160%;
}
form #debt-amount-slider input:checked:nth-child(19) ~ #debt-amount-pos {
  left: 180%;
}
form #debt-amount-slider #debt-amount-pos {
  display: block;
  position: absolute;
  top: 50%;
  width: 12px;
  height: 12px;
  background: var(--black);
  border-radius: 50%;
  transition: all 0.15s ease-in-out;
  transform: translate(-50%, -50%);
  border: 2px solid var(--white);
  opacity: 0;
  z-index: 2;
}
form:valid #debt-amount-slider input + label::before {
  transform: translate(-50%, 45px) scale(0.9);
  transition: all 0.15s linear;
}
form:valid #debt-amount-slider input:checked + label::before {
  transform: translate(-50%, 45px) scale(1.1);
  transition: all 0.15s linear;
}
.form__group {
  position: relative;
  padding: 15px 0 0;
  margin-top: 10px;
  width: 100%;
}
.form__field {
  font-family: inherit;
  width: 100%;
  border: 0;
  border-bottom: 2px solid var(--primary);
  outline: 0;
  font-size: 1rem;
  color: var(--primary);
  padding: 7px 0;
  background: transparent;
  transition: border-color 0.2s;
}
.form__field::placeholder {
  color: transparent;
}
.form__field:placeholder-shown ~ .form__label {
  font-size: 1rem;
  cursor: text;
  top: 25px;
}
.form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: var(--primary);
}
.form__field:focus {
  padding-bottom: 6px;
  /*font-weight: 700;*/
  border-width: 3px;
  border-color: var(--light-gold);
  border-image-slice: 1;
}
.form__field:focus ~ .form__label {
  position: absolute;
  top: 0;
  display: block;
  transition: 0.2s;
  font-size: 1rem;
  color: var(--light-gold);
  font-weight: 700;
}
/* reset input */
.form__field:required, .form__field:invalid {
  box-shadow: none;
}

.custom-select {
  position: relative;
}

.custom-select select {
  display: none; /*hide original SELECT element: */
}

.select-selected {
  background-color: DodgerBlue;
}

/* Style the arrow inside the select element: */
.select-selected:after {
  position: absolute;
  content: "";
  top: 14px;
  right: 10px;
  width: 0;
  height: 0;
  border: 6px solid transparent;
  border-color: #fff transparent transparent transparent;
}

/* Point the arrow upwards when the select box is open (active): */
.select-selected.select-arrow-active:after {
  border-color: transparent transparent #fff transparent;
  top: 7px;
}

/* style the items (options), including the selected item: */
.select-items div,.select-selected {
  color: #ffffff;
  padding: 8px 16px;
  border: 1px solid transparent;
  border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
  cursor: pointer;
}

/* Style items (options): */
.select-items {
  position: absolute;
  background-color: DodgerBlue;
  top: 100%;
  left: 0;
  right: 0;
  z-index: 99;
}

/* Hide the items when the select box is closed: */
.select-hide {
  display: none;
}

.select-items div:hover, .same-as-selected {
  background-color: rgba(0, 0, 0, 0.1);
}